Bug 208664 - [new port] games/alex4: Alex the Allegator
Summary: [new port] games/alex4: Alex the Allegator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Seaman
URL: http://allegator.sourceforge.net/
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-10 02:55 UTC by Nikolai Lifanov
Modified: 2016-06-18 14:51 UTC (History)
1 user (show)

See Also:


Attachments
games/alex4 (25.75 KB, application/x-shellscript)
2016-04-10 02:55 UTC, Nikolai Lifanov
no flags Details
poudriere testport log (90.40 KB, text/plain)
2016-04-10 02:56 UTC, Nikolai Lifanov
no flags Details
games/alex4 (25.75 KB, application/x-shellscript)
2016-04-10 17:10 UTC, Nikolai Lifanov
no flags Details
games/alex4 (25.22 KB, application/x-shellscript)
2016-06-14 12:03 UTC, Nikolai Lifanov
no flags Details
games/alex4 (21.19 KB, application/x-shellscript)
2016-06-14 17:52 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2016-04-10 02:55:45 UTC
Created attachment 169133 [details]
games/alex4

Please add games/alex4. This is a fun, classic game.
Comment 1 Nikolai Lifanov 2016-04-10 02:56:17 UTC
Created attachment 169134 [details]
poudriere testport log
Comment 2 Nikolai Lifanov 2016-04-10 17:10:23 UTC
Created attachment 169158 [details]
games/alex4

remove dependency on gmake
Comment 3 Matthew Seaman freebsd_committer 2016-06-11 22:52:40 UTC
I'm getting an error:

svn: E200009: File '/tmp/ap.PQXGtnJ0/ports/games/alex4/files/patch-token.c' has inconsistent newlines
svn: E135000: Inconsistent line ending style

% cat -t patch-token.c
--- token.c.orig^I2003-07-26 22:50:40 UTC
+++ token.c
@@ -67,7 +67,7 @@ void insert_token(Ttoken *list, Ttoken *
 ^M
 // tokenizes the string str^M
 Ttoken *tokenize(char *str) {^M
-    Ttoken *tok_list, *tok_tmp;^M
+    Ttoken *tok_list, *tok_tmp = NULL;^M
     char word[256];^M
     int a, b, c;^M
     int i = 0;^M

Looks like diff adds lines with unix style line endings.  See this:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#slow-patch-automatic-replacements
Comment 4 Nikolai Lifanov 2016-06-14 12:03:55 UTC
Created attachment 171421 [details]
games/alex4

Hi! Sorry for the delay.
I dos2unix-ed patches and sources.
Comment 5 Matthew Seaman freebsd_committer 2016-06-14 15:18:50 UTC
Ah -- that still has problems:

{{{
=======================<phase: patch          >============================
===>  Patching for alex4-1.1
===>   Converting DOS text files to UNIX text files
===>  Applying FreeBSD patches for alex4-1.1
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to actor.h.rej
=> Patch patch-actor.h failed to apply cleanly.
=> Patch(es) patch-Makefile applied cleanly.
*** Error code 1

Stop.
make: stopped in /usr/ports/games/alex4
}}}

Looks like DOS2UNIX will add a missing \n at EoF automatically -- most of your 'patch-foo.h' files appear to be redundant now.
Comment 6 Nikolai Lifanov 2016-06-14 17:52:20 UTC
Created attachment 171434 [details]
games/alex4

I removed all no longer necessary patches and adjusted remaining ones not to include line ending changes. Please try now.
Comment 7 commit-hook freebsd_committer 2016-06-18 14:49:59 UTC
A commit references this bug:

Author: matthew
Date: Sat Jun 18 14:49:53 UTC 2016
New revision: 417067
URL: https://svnweb.freebsd.org/changeset/ports/417067

Log:
  In the latest installment of the series Alex travels through the jungle
  in search of his kidnapped girlfriend. Plenty of classic platforming
  in four nice colors guaranteed!

  WWW: http://allegator.sourceforge.net/

  PR:		208664
  Submitted by:	Nikolai Lifanov <lifanov@mail.lifanov.com>

Changes:
  head/games/Makefile
  head/games/alex4/
  head/games/alex4/Makefile
  head/games/alex4/distinfo
  head/games/alex4/files/
  head/games/alex4/files/patch-Makefile
  head/games/alex4/files/patch-main.c
  head/games/alex4/files/patch-main.h
  head/games/alex4/files/patch-map.c
  head/games/alex4/files/patch-shooter.c
  head/games/alex4/files/patch-shooter.h
  head/games/alex4/files/patch-token.c
  head/games/alex4/files/patch-unix.c
  head/games/alex4/files/patch-unix.h
  head/games/alex4/pkg-descr
  head/games/alex4/pkg-plist
Comment 8 Matthew Seaman freebsd_committer 2016-06-18 14:51:37 UTC
I had to add the %%STAGEDIR%% and %%DATADIR%% tokens back into patch-Makefile.
Committed, thanks!